Status

defect
RESOLVED WONTFIX
5 years ago
4 years ago

People

(Reporter: clokep, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 years ago
*** Original post on bio 1510 at 2012-06-13 13:32:00 UTC ***

Google Talk apparently supports a slightly different form of MUCs...[1] includes a more thorough discussion.

The room name has to be of the form: "private-chat-<uuid>", and the server is groupchat.google.com.

Of course we can't actually force these / do it automatically since you can join MUCS from a federated network via GTalk (such as ones on conference.jabber.org).

[1] http://log.bezut.info/instantbird/120612/#m24
(Reporter)

Comment 1

5 years ago
*** Original post on bio 1510 at 2012-11-01 13:58:45 UTC ***

I got invited to join a MUC and the error console had the following message:

Timestamp: 11/1/2012 9:45:59 AM
Error: Trying to create a conversation; buddy not present: private-chat-afed1703-846f-4aa0-99fb-ae307b5fbg94@groupchat.google.com
Source Code:
xmpp

(Note I changed random characters in the UUID.)

The other fun bit is that all the users are random sets of characters (except me, I actually set my display name). Besides that it all seems to work OK. The voice / founder flags are randomly being displayed, but that's probably GTalk doing weird things.
(Reporter)

Comment 2

5 years ago
*** Original post on bio 1510 at 2012-11-01 14:08:30 UTC ***

Also, we don't seem to show when users join or quit? (No system messages...)
(Reporter)

Comment 3

5 years ago
*** Original post on bio 1510 at 2012-11-01 14:51:30 UTC ***

Debug log from receiving the join:

Timestamp: 11/1/2012 10:46:13 AM
Warning: received:
<message xmlns="jabber:client" from="private-chat-cadc1d0f-4861-4505-b745-6195c55cd9d0@groupchat.google.com" to="clokep@gmail.com" type="chat" id="9A399ED1">
 <body xmlns="jabber:client">
  foobar@gmail.com You've been invited to this chat room!
Click here to join: http://talkgadget.google.com/talkgadget/joinpmuc?r=CnBhQPW5-bMKiHHyOWe4a0asj2ejpX8kVZ4mF4Ml28atyvdPKs8AaZiL59-QZcKgvmmn06SSWDeVpwn4H9cTxXyR6lkub9NvAxhcducxXqzO-gcyqFT46mRwUULyB1Damy-0zimz0gehQfxPkb3nYgRQEgxIYlhWrEHkikcYjSsYAQ&si=1
 </body>
 <user:x xmlns="http://jabber.org/protocol/muc#user">
  <user:invite xmlns="http://jabber.org/protocol/muc#user" from="foobar@gmail.com/gmail.AB542B4F">
   <user:reason xmlns="http://jabber.org/protocol/muc#user">
    You've been invited to this chat room!
   </user:reason>
  </user:invite>
 </user:x>
</message>

Source Code:
xmpp-session

Timestamp: 11/1/2012 10:46:13 AM
Error: Trying to create a conversation; buddy not present: private-chat-cadc1d0f-4861-4505-b745-6195c55cd9d0@groupchat.google.com
Source Code:
xmpp
(Reporter)

Comment 4

5 years ago
*** Original post on bio 1510 at 2013-02-06 11:42:11 UTC ***

A similar Pidgin ticket that has some interesting information: https://developer.pidgin.im/ticket/14664
(Reporter)

Comment 5

4 years ago
So I just checked this out again and I can't seem to get gmail to send me an invite, I get system messages: "foo's client doesn't support chats" or something. If someone can figure out a way to invite an XMPP client, let me know.

Comment 6

4 years ago
Not sure if these MUCs still exist, but we should check.
Blocks: 954959
(Reporter)

Comment 7

4 years ago
I suspect the answer is "no" because hangouts, but I could do a quick experiment, if you'd like.
(Reporter)

Updated

4 years ago
Flags: needinfo?(clokep)
(Reporter)

Comment 8

4 years ago
We get no notification of this over XMPP anymore.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Flags: needinfo?(clokep)
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.